Package org.eclipse.jface.layout

## Class LayoutConstants

- java.lang.Object
- - org.eclipse.jface.layout.LayoutConstants

    public final class LayoutConstants
    extends Object

Contains various layout constants to be used in dialogs.

Since:
  3.2

### Constructor Summary

Constructors
`LayoutConstants()`

### Method Summary

All Methods Static Methods Concrete Methods
`static int` `getIndent()` Returns the indent of dependent controls, in pixels.
`static Point` `getMargins()` Returns the default dialog margins, in pixels
`static Point` `getMinButtonSize()` Returns the default minimum button size, in pixels
`static Point` `getSpacing()` Returns the default dialog spacing, in pixels

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LayoutConstants

    public LayoutConstants()

### Method Detail

#### getMargins

    public static final Point getMargins()

Returns the default dialog margins, in pixels

Returns:
  the default dialog margins, in pixels

#### getSpacing

    public static final Point getSpacing()

Returns the default dialog spacing, in pixels

Returns:
  the default dialog spacing, in pixels

#### getMinButtonSize

    public static final Point getMinButtonSize()

Returns the default minimum button size, in pixels

Returns:
  the default minimum button size, in pixels

#### getIndent

    public static final int getIndent()

Returns the indent of dependent controls, in pixels.

Returns:
  the indent of dependent controls, in pixels.
Since:
  3.9